summaryrefslogtreecommitdiffstats
path: root/debian/open-infrastructure-service-tools.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 14:59:14 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 14:59:14 +0000
commitb451b77d74b0dd622adf7ee423a4197981ae522f (patch)
tree0a7de405d823a48cfb967dff932b1d1fb495bf40 /debian/open-infrastructure-service-tools.postinst
parentAdding upstream version 20221223. (diff)
downloadopen-infrastructure-service-tools-b451b77d74b0dd622adf7ee423a4197981ae522f.tar.xz
open-infrastructure-service-tools-b451b77d74b0dd622adf7ee423a4197981ae522f.zip
Adding debian version 20221223-2.debian/20221223-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/open-infrastructure-service-tools.postinst')
-rwxr-xr-xdebian/open-infrastructure-service-tools.postinst30
1 files changed, 30 insertions, 0 deletions
diff --git a/debian/open-infrastructure-service-tools.postinst b/debian/open-infrastructure-service-tools.postinst
new file mode 100755
index 0000000..2cd7822
--- /dev/null
+++ b/debian/open-infrastructure-service-tools.postinst
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ update-alternatives --quiet --install /usr/share/open-infrastructure/apache-icons/default apache-icons /usr/share/apache2/icons 1000
+ update-alternatives --quiet --install /usr/share/open-infrastructure/apache-icons/default apache-icons /usr/share/open-infrastructure/apache-icons/awesome-png 2000 \
+ --slave /usr/share/open-infrastructure/apache-icons/default.conf apache-icons.conf /usr/share/open-infrastructure/apache-icons/awesome-png.conf
+ update-alternatives --quiet --install /usr/share/open-infrastructure/apache-icons/default apache-icons /usr/share/open-infrastructure/apache-icons/awesome-svg 3000 \
+ --slave /usr/share/open-infrastructure/apache-icons/default.conf apache-icons.conf /usr/share/open-infrastructure/apache-icons/awesome-svg.conf
+ update-alternatives --quiet --install /usr/share/open-infrastructure/apache-icons/default apache-icons /usr/share/open-infrastructure/apache-icons/tango-png 4000 \
+ --slave /usr/share/open-infrastructure/apache-icons/default.conf apache-icons.conf /usr/share/open-infrastructure/apache-icons/tango-png.conf
+ update-alternatives --quiet --install /usr/share/open-infrastructure/apache-icons/default apache-icons /usr/share/open-infrastructure/apache-icons/tango-svg 5000 \
+ --slave /usr/share/open-infrastructure/apache-icons/default.conf apache-icons.conf /usr/share/open-infrastructure/apache-icons/tango-svg.conf
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0